// Created by Damien Katz and placed into the public domain. Enjoy.

#ifndef AGENT_BOOST_DEFS
#define AGENT_BOOST_DEFS

/*
* Header file for AgentBoost.cpp. Contains various interesting declarations
* and constants.
*/

// Constants/defaults
#define VERSION_STRING "v0.7" // product/dll version
#define VERSION_STRING_RESOURCE "0, 7, 0, 0" // product dll version for resources.
#define VERSION_RESOURCE 0, 7, 0, 0 // product dll version for resources.

#define DEFAULT_CONFIG_DB "agentboost.nsf"
#define CONFIG_VIEW "($Mappings)"
#define DEFAULT_CACHE_REFRESH_MS 3000
#define DEBUG_ENV_VAR "AgentBoostDebug"
#define CONFIGDB_ENV_VAR "AgentBoostConfigDb"
#define CACHE_REFRESH_MS_ENV_VAR "AgentBoostCacheRefreshMs"

// type declarations

struct LSEventData
{
	NOTEID		noteId;
	DWORD		updateFlags;
	DWORD		openFlags;
	STATUS		currentStatus;
	WORD		eventId;
	WORD		isPreEvent;
	char		noteUnidStr[36];
	char		userName[MAXUSERNAME + 2];
};

// Simple exported functions, for use by agents

void LSSetReturnStatus(STATUS newReturnStatus);
STATUS LSSetReturnNote(NOTEHANDLE hNote);
WORD LSGetEventData(LSEventData* pLSEventData);

#endif // AGENT_BOOST_DEFS
